Page MenuHomePhabricator

Cannot move cursor into VisualEditor table cells in Firefox 39 and later
Closed, ResolvedPublic8 Story Points

Description

In Firefox 39 and 40, no matter where in a table cell I click, my cursor is placed at the very end of the cell content. If try to use the arrow keys to move the cursor into the content of a one-line cell, nothing happens; if I try to do same thing in a multiline cell, each press of the arrow moves the cursor up one line. This makes it extremely difficult to edit table cells because almost all cursor positions aren't actually reachable.

Things work correctly in Firefox 38. Firefox 39 is currently in beta and goes to general release the week of 23 June 2015.

Event Timeline

Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF raised the priority of this task from to High.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 11:34 PM
Jdforrester-WMF edited a custom field.Jul 3 2015, 5:48 PM

*sigh* this is a massive regression in Firefox. If you make a table CE=false, click on it selects the entire table, even if it has ce=true children.

Esanders added a comment.EditedJul 10 2015, 11:41 AM

In fact it's any ce=true/ce=false nesting, not just tables. https://bugzilla.mozilla.org/show_bug.cgi?id=1181130 Hopefully Mozilla will do a point release.

The irony being the regression was introduced by a fix for another CE bug filed by Roan https://bugzilla.mozilla.org/show_bug.cgi?id=1132768

Change 224054 had a related patch set uploaded (by Esanders):
Make table editing less critically broken in Firefox 39

https://gerrit.wikimedia.org/r/224054

Change 224119 had a related patch set uploaded (by Jforrester):
Make table editing less critically broken in Firefox 39

https://gerrit.wikimedia.org/r/224119

Change 224054 merged by jenkins-bot:
Make table editing less critically broken in Firefox 39

https://gerrit.wikimedia.org/r/224054

Change 224119 merged by jenkins-bot:
Make table editing less critically broken in Firefox 39

https://gerrit.wikimedia.org/r/224119

Jdforrester-WMF closed this task as Resolved.Jul 10 2015, 7:43 PM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.
Jdforrester-WMF reassigned this task from dchan to Esanders.